import { CdmAttributeContext, cdmAttributeContextType, CdmCorpusContext, copyOptions, resolveOptions } from '../../internal';
import { AttributeContext } from './types';
export declare class AttributeContextPersistence {
    static fromData(ctx: CdmCorpusContext, object: AttributeContext): CdmAttributeContext;
    static toData(instance: CdmAttributeContext, resOpt: resolveOptions, options: copyOptions): AttributeContext;
    static mapTypeNameToEnum(typeName: string): cdmAttributeContextType;
    static mapEnumToTypeName(enumVal: cdmAttributeContextType): string;
}
